<?php
/*
 * tailor Breadcrumbs
*/
function tailor_custom_breadcrumbs() {

  $tailor_showonhome = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
  $tailor_delimiter = '/'; // tailor_delimiter between crumbs
  $tailor_home = __('Home','tailor'); // text for the 'Home' link
  $tailor_showcurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
  $tailor_before = ' '; // tag before the current crumb
  $tailor_after = ' '; // tag after the current crumb

  global $post;
  $tailor_homelink = esc_url(home_url('/'));

  if (is_home() || is_front_page()) {

    if ($tailor_showonhome == 1) echo '<li><a href="' . $tailor_homelink . '">' . $tailor_home . '</a></li>';
    
  }  else {

    echo '<li><a href="' . $tailor_homelink . '">' . $tailor_home . '</a> ' . $tailor_delimiter . '';
    
   if ( is_category() ) {
      $tailor_thisCat = get_category(get_query_var('cat'), false);
      if ($tailor_thisCat->parent != 0) echo get_category_parents($tailor_thisCat->parent, TRUE, ' ' . $tailor_delimiter . ' ');      
		echo $tailor_before; _e('category','tailor'); echo ' "'.single_cat_title('', false) . '"' . $tailor_after;
    } 
    elseif ( is_search() ) {
      echo $tailor_before; _e('Search Results For','tailor'); echo ' "'. get_search_query() . '"' . $tailor_after;

    } elseif ( is_day() ) {
      echo '<a href="' . esc_url(get_year_link(get_the_time('Y'))) . '">' . get_the_time('Y') . '</a> ' . $tailor_delimiter . ' ';
      echo '<a href="' . esc_url(get_month_link(get_the_time('Y'),get_the_time('m'))) . '">' . get_the_time('F') . '</a> ' . $tailor_delimiter . ' ';
      echo $tailor_before . get_the_time('d') . $tailor_after;

    } elseif ( is_month() ) {
      echo '<a href="' . esc_url(get_year_link(get_the_time('Y'))) . '">' . get_the_time('Y') . '</a> ' . $tailor_delimiter . ' ';
      echo $tailor_before . get_the_time('F') . $tailor_after;

    } elseif ( is_year() ) {
      echo $tailor_before . get_the_time('Y') . $tailor_after;

    } elseif ( is_single() && !is_attachment() ) {
      if ( get_post_type() != 'post' ) {
        $tailor_post_type = get_post_type_object(get_post_type());
        $tailor_slug = $tailor_post_type->rewrite;
        echo '<a href="' . $tailor_homelink . '/' . $tailor_slug['slug'] . '/">' . $tailor_post_type->labels->singular_name . '</a>';
        if ($tailor_showcurrent == 1) echo ' ' . $tailor_delimiter . ' ' . $tailor_before . esc_attr(get_the_title()) . $tailor_after;
      } else {
        $tailor_cat = get_the_category(); $tailor_cat = $tailor_cat[0];
        $tailor_cats = get_category_parents($tailor_cat, TRUE, ' ' . $tailor_delimiter . ' ');
        if ($tailor_showcurrent == 0) $tailor_cats = preg_replace("#^(.+)\s$tailor_delimiter\s$#", "$1", $tailor_cats);
        echo $tailor_cats;
        if ($tailor_showcurrent == 1) echo $tailor_before . esc_attr(get_the_title()) . $tailor_after;
      }

    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
      $tailor_post_type = get_post_type_object(get_post_type());
      echo $tailor_before . $tailor_post_type->labels->singular_name . $tailor_after;

    } elseif ( is_attachment() ) {
      $tailor_parent = get_post($post->post_parent);
      $tailor_cat = get_the_category($tailor_parent->ID); $tailor_cat = $tailor_cat[0];
      echo get_category_parents($tailor_cat, TRUE, ' ' . $tailor_delimiter . ' ');
      echo '<a href="' . esc_url(get_permalink($tailor_parent)) . '">' . $tailor_parent->post_title . '</a>';
      if ($tailor_showcurrent == 1) echo ' ' . $tailor_delimiter . ' ' . $tailor_before . esc_attr(get_the_title()) . $tailor_after;

    } elseif ( is_page() && !$post->post_parent ) {
      if ($tailor_showcurrent == 1) echo $tailor_before . esc_attr(get_the_title()) . $tailor_after;

    } elseif ( is_page() && $post->post_parent ) {
      $tailor_parent_id  = $post->post_parent;
      $tailor_breadcrumbs = array();
      while ($tailor_parent_id) {
        $tailor_page = get_page($tailor_parent_id);
        $tailor_breadcrumbs[] = '<a href="' . get_permalink($tailor_page->ID) . '">' . esc_attr(get_the_title($tailor_page->ID)) . '</a>';
        $tailor_parent_id  = $tailor_page->post_parent;
      }
      $tailor_breadcrumbs = array_reverse($tailor_breadcrumbs);
      for ($tailor_i = 0; $tailor_i < count($tailor_breadcrumbs); $tailor_i++) {
        echo $tailor_breadcrumbs[$tailor_i];
        if ($tailor_i != count($tailor_breadcrumbs)-1) echo ' ' . $tailor_delimiter . ' ';
      }
      if ($tailor_showcurrent == 1) echo ' ' . $tailor_delimiter . ' ' . $tailor_before . esc_attr(get_the_title()) . $tailor_after;

    } elseif ( is_tag() ) {
      echo $tailor_before; _e('Posts tagged','tailor'); echo ' "'.  single_tag_title('', false) . '"' . $tailor_after;

    } elseif ( is_author() ) {
       global $author;
      $tailor_userdata = get_userdata($author);
      echo $tailor_before; _e('Articles posted by ','tailor'); echo $tailor_userdata->display_name . $tailor_after;

    } elseif ( is_404() ) {
      echo $tailor_before; _e('Error 404','tailor'); echo $tailor_after;
    }
    
    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo __('Page','tailor') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }
    echo '</li>';

  }
} 
