<?php
function tailor_theme_customizer( $wp_customize ) {
    /* sections */
    $wp_customize->add_section( 'tailor_basic_section' , array(
    'title'       => __( 'Basic Settings', 'tailor' ),
    'priority'    => 30,
	) );
        
	$wp_customize->add_section( 'tailor_social_icons_section', array(
		'title'          => __('Social Settings','tailor'),
		'priority'       => 35,
	) );
	
	$wp_customize->add_panel( 'home_id', array(
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Home Page Settings','tailor'),
		'description'    => '',
		'priority'    => 30,
	) );
	$wp_customize->add_section( 'tailor_silder_section' , array(
		'title'       => __( 'Slider Section', 'tailor' ),
		'priority'    => 30,
		'panel'  => 'home_id',
	) );

	$wp_customize->add_section( 'tailor_about_section' , array(
		'title'       => __( 'About Us Section', 'tailor' ),
		'priority'    => 30,
		'panel'  => 'home_id',
	) );
    $wp_customize->add_section( 'tailor_blog_section' , array(
		'title'       => __( 'Blog Section', 'tailor' ),
		'priority'    => 30,
		'panel'  => 'home_id',
	) );

	

	/* basic section */
	/*theme logo*/
	$wp_customize->add_setting( 'tailor_logo' ,array(
		'sanitize_callback' => 'esc_url_raw',
		)
	 );
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tailor_logo', array(
		'label'    => __( 'Logo (Recommended size 78 x 60)', 'tailor' ),
		'section'  => 'tailor_basic_section',
		'settings' => 'tailor_logo',
	) ) );
	
	// favicon
	$wp_customize->add_setting( 'tailor_favicon',array(
		'sanitize_callback' => 'esc_url_raw',
		)
	 );
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tailor_favicon', array(
    'label'    => __( 'Favicon (Recommended size 32 x 32)', 'tailor' ),
    'section'  => 'tailor_basic_section',
    'settings' => 'tailor_favicon',
	) ) );
	
	
	

	// blog title
	$wp_customize->add_setting( 'tailor_blogtitle', array(
            'default'        => ' ',
            'sanitize_callback' => 'esc_html',
        ) );
   $wp_customize->add_control( 'tailor_blogtitle', array(
		'label'   => __('Blog Title','tailor'),
		'section' => 'tailor_basic_section',
		'type'    => 'text',
        ) );
        

	// copyright
	$wp_customize->add_setting( 'copyright_url_setting', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
	$wp_customize->add_control( 'copyright_url_setting', array(
		'label'   => __('Copyright text','tailor'),
		'section' => 'tailor_basic_section',
		'type'    => 'text'
	) );
	// footer description
	$wp_customize->add_setting( 'tailor_footerdesc', array(
            'default'        => ' ',
            'sanitize_callback' => 'esc_html',
        ) );
   $wp_customize->add_control( 'tailor_footerdesc', array(
		'label'   => __('Footer Description','tailor'),
		'section' => 'tailor_basic_section',
		'type'    => 'textarea',
        ) );


	// Social Section
	$wp_customize->add_setting( 'twitter_setting', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
	$wp_customize->add_control( 'twitter_setting', array(
		'label'   => __('Twitter URL','tailor'),
		'section' => 'tailor_social_icons_section',
		'type'    => 'text',
		'priority' => 1
	) );

	$wp_customize->add_setting( 'facebook_setting', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
	$wp_customize->add_control( 'facebook_setting', array(
		'label'   => __('Facebook URL','tailor'),
		'section' => 'tailor_social_icons_section',
		'type'    => 'text',
		'priority' => 1
	) );
	
	$wp_customize->add_setting( 'youtube_setting', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
	$wp_customize->add_control( 'youtube_setting', array(
		'label'   => __('YouTube URL','tailor'),
		'section' => 'tailor_social_icons_section',
		'type'    => 'text',
		'priority' => 1
	) );
	
	$wp_customize->add_setting( 'pinterest_setting', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
	$wp_customize->add_control( 'pinterest_setting', array(
		'label'   => __('Pinterest URL','tailor'),
		'section' => 'tailor_social_icons_section',
		'type'    => 'text',
		'priority' => 1
	) );
	
	$wp_customize->add_setting( 'rss_setting', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
	$wp_customize->add_control( 'rss_setting', array(
		'label'   => __('RSS Feed URL','tailor'),
		'section' => 'tailor_social_icons_section',
		'type'    => 'text',
		'priority' => 1
	) );   

	// home page	
	$wp_customize->add_setting( 'tailor_slidertitle', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
    $wp_customize->add_control( 'tailor_slidertitle', array(
		'label'   => __('Slider Title','tailor'),
		'section' => 'tailor_silder_section',
		'type'    => 'text',
    ) );  
    $wp_customize->add_setting( 'tailor_slidersubtitle', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
    $wp_customize->add_control( 'tailor_slidersubtitle', array(
		'label'   => __('Slider Subtitle','tailor'),
		'section' => 'tailor_silder_section',
		'type'    => 'text',
    ) );  
      $wp_customize->add_setting( 'tailor_class', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
    $wp_customize->add_control( 'tailor_class', array(
		'label'   => __('Slider Class (fa-fa-user)','tailor'),
		'section' => 'tailor_silder_section',
		'type'    => 'text',
    ) );  
    $wp_customize->add_setting( 'tailor_button', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
		
	) );
	$wp_customize->add_control( 'tailor_button', array(
		'label'   => __('Slider Button title','tailor'),
		'section' => 'tailor_silder_section',
		'type'    => 'text',
    ) ); 
     $wp_customize->add_setting( 'tailor_button_link', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
		
	) );
	$wp_customize->add_control( 'tailor_button_link', array(
		'label'   => __('Slider Button Link','tailor'),
		'section' => 'tailor_silder_section',
		'type'    => 'text',
    ) );   
  $wp_customize->add_setting( 'tailor_header_image_bg',array(
		'sanitize_callback' => 'esc_url_raw',
		)
	);
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tailor_header_image_bg', array(
			'label'    => __( 'Background Image (Recommended size 1280 x 853)', 'tailor' ),
			'section'  => 'tailor_silder_section',
			'settings' => 'tailor_header_image_bg',
		) 
	) );
        
   //About Us
	$wp_customize->add_setting( 'tailor_abouttitle', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
    $wp_customize->add_control( 'tailor_abouttitle', array(
		'label'   => __('About Title','tailor'),
		'section' => 'tailor_about_section',
		'type'    => 'text',
    ) );
	$wp_customize->add_setting( 'tailor_aboutsubtitle', array(
		'default'        => '',
		'sanitize_callback' => 'esc_attr',
	) );
    $wp_customize->add_control( 'tailor_aboutsubtitle', array(
		'label'   => __('About Subtitle','tailor'),
		'section' => 'tailor_about_section',
		'type'    => 'text',
    ) );
	 $wp_customize->add_setting( 'tailor_aboutinfo', array(
		'default'        => '',
		'sanitize_callback' => 'esc_textarea',
	) );
    $wp_customize->add_control( 'tailor_aboutinfo', array(
		'label'   => __('About Info','tailor'),
        'section' => 'tailor_about_section',
        'type'    => 'textarea',
   ) );
   $wp_customize->add_setting( 'tailor_about_image',array(
		'sanitize_callback' => 'esc_url_raw',
		)
	);
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tailor_about_image', array(
			'label'    => __( 'Image (Recommended size 500 x 500)', 'tailor' ),
			'section'  => 'tailor_about_section',
			'settings' => 'tailor_about_image',
		) 
	) );
   

       
        
     //Blog Section
	$wp_customize->add_setting( 'tailor_blog-title', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
    
    $wp_customize->add_control( 'tailor_blog-title', array(
		'label'   => __('Blog Title','tailor'),
        'section' => 'tailor_blog_section',
        'type'    => 'text'
    ) );
		
	$wp_customize->add_setting( 'tailor_bloginfo', array(
		'default'        => '',
		'sanitize_callback' => 'esc_html',
	) );
    
    $wp_customize->add_control( 'tailor_bloginfo', array(
		'label'   => __('Blog Subtitle','tailor'),
        'section' => 'tailor_blog_section',
        'type'    => 'text',
    ) );
        
	$tailor_args = array(
	'posts_per_page'=> -1,
	'meta_query' => array(
						array(
						'key' => '_thumbnail_id',
						'compare' => 'EXISTS'
							),
						)
					);  
	$tailor_post = new WP_Query( $tailor_args );
	$tailor_cat_id=array();
	while($tailor_post->have_posts()){
	$tailor_post->the_post();
	$tailor_post_categories = wp_get_post_categories( get_the_id());
	foreach($tailor_post_categories as $tailor_post_category)
		$tailor_cat_id[]=$tailor_post_category;
	}
	
	$tailor_cat_id=array_unique($tailor_cat_id);
	$tailor_args = array(
	'orderby' => 'name',
	'parent' => 0,
	'include'=>$tailor_cat_id,
	
	);
	$tailor_cats=array();$i = 0;
	$tailor_categories = get_categories($tailor_args); 
	  foreach ($tailor_categories as $tailor_category) {
		  if($i==0){
			$tailor_default = $tailor_category->term_id;
			$i++;
		}
		$tailor_cats[$tailor_category->term_id] =  $tailor_category->cat_name;
	  }        
      
	 $wp_customize->add_setting( 'tailor_blogcategory', array(
		'default'        => $tailor_default,
		'sanitize_callback' => 'esc_html',
				
	) );
    
    $wp_customize->add_control( 'tailor_blogcategory', array(
			'label'   => __('Select Category','tailor'),
            'section' => 'tailor_blog_section',
            'type'    => 'select',
            'choices' => $tailor_cats,
        ) );
                
	
            
}
add_action( 'customize_register', 'tailor_theme_customizer' );

?>
